Bug 50226 - Trouble when trying to create extended(logical) partition.
Trouble when trying to create extended(logical) partition.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-28 13:34 EDT by Inger Karin Haarbye
Modified: 2007-04-18 12:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-30 15:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback from anaconda when partitioning with disk-druid (9.10 KB, text/plain)
2001-07-28 13:36 EDT, Inger Karin Haarbye
no flags Details

  None (edit)
Description Inger Karin Haarbye 2001-07-28 13:34:35 EDT
Description of Problem:
I had 3 primary partitions and 7 more on logical partition before
installation. I backed up everything I needed, to repartition the disk.
Deleted all partitions exept /dev/hda1 and /dev/hda2 - starting at the last
partition on disk. 
Creation of /dev/hda3 was OK. Forced to be primary. 
I then wanted 5 new partitions on a logical partition. When trying to
create the 4. partition, I got the option to select how many cylindres, but
there was no option to create a logical partition. 
So I thought maybe the partition would be logical at default if I didn't
choose the "force primary"-option. I selected to create from cylinder 347
(first "free" cylinder) to 730. (Last is 2386).

I got the following error message:
Assertion (part->num != -1) at disk.c:327
in function_partition_align () failed.

Traceback was dumped to floppy.

How Reproducible:
Every time

Steps to Reproduce:
1. Selecting Custom installation
2. Partitioning with disk-druid
3. Deleting all partitions but the to first (primary).
4. Trying to create new partitions with disk-druid.

Actual Results:
Error-message, traceback (attachment)

Expected Results:
3 primary partitions and 5 logical (on extended)

Additional Information:
Comment 1 Inger Karin Haarbye 2001-07-28 13:36:02 EDT
Created attachment 25268 [details]
Traceback from anaconda when partitioning with disk-druid
Comment 2 Brent Fox 2001-07-28 21:57:41 EDT
Is this a parted problem?
Comment 3 Jeremy Katz 2001-07-29 00:32:24 EDT
Dr Mike hit this Tuesday evening when we were doing some testing, but didn't get
around to looking at it long enough to fix it...  not a parted problem though.
Comment 4 Glen Foster 2001-07-30 15:45:45 EDT
This defect is considered SHOULD-FIX for Fairfax
Comment 5 Michael Fulbright 2001-08-01 11:56:19 EDT
Jeremy has fixed this.

Note You need to log in before you can comment on or make changes to this bug.